> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an initiative

> Updates an existing initiative by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="initiative_id" type="string" required>
  The unique identifier for the initiative.
</ParamField>

## Body parameters

<ParamField body="name" type="string" required>
  Name of the initiative.
</ParamField>

<ParamField body="description" type="string">
  Plain text description of the initiative.
</ParamField>

<ParamField body="description_html" type="string">
  HTML-formatted description of the initiative.
</ParamField>

<ParamField body="description_stripped" type="string">
  Stripped version of the HTML description.
</ParamField>

<ParamField body="description_binary" type="string">
  Binary representation of the description.
</ParamField>

<ParamField body="lead" type="string">
  ID of the user who leads the initiative.
</ParamField>

<ParamField body="start_date" type="string">
  Start date in YYYY-MM-DD format.
</ParamField>

<ParamField body="end_date" type="string">
  End date in YYYY-MM-DD format.
</ParamField>

<ParamField body="logo_props" type="object">
  Logo properties for the initiative
</ParamField>

<ParamField body="state" type="string">
  Current state of the initiative. Possible values: `DRAFT`, `PLANNED`, `ACTIVE`, `COMPLETED`, `CLOSED`.
</ParamField>
